MessageFormat
Date: 2016-06-24

java.text

## Class MessageFormat

- java.lang.Object
- - java.text.Format
  - - java.text.MessageFormat

- All Implemented Interfaces:
    Serializable, Cloneable

      public class MessageFormat
      extends Format

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MessageFormat.Field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageFormat(String var0)`
    `MessageFormat(String var0, Locale var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyPattern(String var0)`
    `StringBuffer` | `format(Object[] var0, StringBuffer var1, FieldPosition var2)`
    `StringBuffer` | `format(Object var0, StringBuffer var1, FieldPosition var2)`
    `static String` | `format(String var0, Object[] var1)`
    `Format[]` | `getFormats()`
    `Format[]` | `getFormatsByArgumentIndex()`
    `Locale` | `getLocale()`
    `Object[]` | `parse(String var0)`
    `Object[]` | `parse(String var0, ParsePosition var1)`
    `Object` | `parseObject(String var0, ParsePosition var1)`
    `void` | `setFormat(int var0, Format var1)`
    `void` | `setFormatByArgumentIndex(int var0, Format var1)`
    `void` | `setFormats(Format[] var0)`
    `void` | `setFormatsByArgumentIndex(Format[] var0)`
    `void` | `setLocale(Locale var0)`
    `String` | `toPattern()`

    - ### Methods inherited from class java.text.Format

      `clone, format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageFormat

          public MessageFormat(String var0)

    - #### MessageFormat

          public MessageFormat(String var0,
                       Locale var1)

  - ### Method Detail

    - #### applyPattern

          public void applyPattern(String var0)

    - #### format

          public final StringBuffer format(Object var0,
                            StringBuffer var1,
                            FieldPosition var2)

      Specified by:
        `format` in class `Format`

    - #### format

          public static String format(String var0,
                      Object[] var1)

    - #### format

          public final StringBuffer format(Object[] var0,
                            StringBuffer var1,
                            FieldPosition var2)

    - #### getFormats

          public Format[] getFormats()

    - #### getFormatsByArgumentIndex

          public Format[] getFormatsByArgumentIndex()

    - #### getLocale

          public Locale getLocale()

    - #### parse

          public Object[] parse(String var0)
                         throws ParseException

      Throws:
        `ParseException`

    - #### parse

          public Object[] parse(String var0,
                       ParsePosition var1)

    - #### parseObject

          public Object parseObject(String var0,
                           ParsePosition var1)

      Specified by:
        `parseObject` in class `Format`

    - #### setFormat

          public void setFormat(int var0,
                       Format var1)

    - #### setFormatByArgumentIndex

          public void setFormatByArgumentIndex(int var0,
                                      Format var1)

    - #### setFormats

          public void setFormats(Format[] var0)

    - #### setFormatsByArgumentIndex

          public void setFormatsByArgumentIndex(Format[] var0)

    - #### setLocale

          public void setLocale(Locale var0)

    - #### toPattern

          public String toPattern()